ru.bitel.bgbilling.kernel.event.events

## Class ContractParamBeforeChangeEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.ContractParamBeforeChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractParamBeforeChangeEvent
      extends LocalEvent

  Синхронное событие, вызывается до модификации параметра договора.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractParamBeforeChangeEvent()`
    `` | `ContractParamBeforeChangeEvent(int userId, int cid, int pid, java.lang.Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityAttr` | `getEntityAttr()` Значение параметра договора в виде EntityAttr, если параметр изменяется через `ContractService.contractParameterUpdate(int, EntityAttr)`.
    `java.lang.String` | `getError()` Возвращает текст ошибки.
    `int` | `getParamId()` Возвращает код параметра.
    `java.lang.Object` | `getValue()` В зависимости от типа параметра объекта может быть Integer, String, Boolean, ContractAddressParamValue, ContractEmailParamValue
    `void` | `setError(java.lang.String error)` При установке ошибки этой функцией модификация параметра запрещается, ошибка отображается пользователю.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractParamBeforeChangeEvent

          protected ContractParamBeforeChangeEvent()

    - #### ContractParamBeforeChangeEvent

          public ContractParamBeforeChangeEvent(int userId,
                                                int cid,
                                                int pid,
                                                java.lang.Object value)

  - ### Method Detail

    - #### getError

          public java.lang.String getError()

      Возвращает текст ошибки. Функция вызывается биллингом после обработки события.
      Returns:

    - #### setError

          public void setError(java.lang.String error)

      При установке ошибки этой функцией модификация параметра запрещается, ошибка отображается пользователю.
      Parameters:
        `error` -

    - #### getParamId

          public int getParamId()

      Возвращает код параметра.
      Returns:

    - #### getValue

          public java.lang.Object getValue()

      В зависимости от типа параметра объекта может быть Integer, String, Boolean, ContractAddressParamValue, ContractEmailParamValue

    - #### getEntityAttr

          public EntityAttr getEntityAttr()

      Значение параметра договора в виде EntityAttr, если параметр изменяется через `ContractService.contractParameterUpdate(int, EntityAttr)`.
      Returns:
      See Also:
        `EntityAttr`